Users
Get All Users
Section titled “Get All Users”This endpoint returns a list of all the users in the requesting lender.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/users
Query Parameters
Section titled “Query Parameters”| Parameter | Default | Description |
|---|---|---|
| ordering | -created | The field on which the returned users are sorted. |
| search | None | A string used to filter down the returned users. |
| None | An optional parameter that will do a case insensitive match on email. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/users?offset=<offset>&limit=<limit>', headers=headers)Example Response
Section titled “Example Response”{ "data": { "users": [ { "id": "5c33c6b1681f110034effc72", "email": "fake@email.com", "phone_number": "1231231234", "cell_number": "1231231235", "firstname": "John", "lastname": "Doe", "created": "2019-01-09T12:00:00.000Z", "nmls_id": "12345", "matched_users": [ { "id": "5c33c6b1681f110034effc72", "email": "more_fake@email.com", "firstname": "Jane", "lastname": "Doe" }, "..." ], "role": "Admin" }, "..." ] }, "status": 200}The "..." placeholder indicates additional entries elided for brevity.
Get All User Roles
Section titled “Get All User Roles”This endpoint returns a list of all user roles available to the requesting lender.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/users/roles
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/users/roles', headers=headers)Example Response
Section titled “Example Response”{ "data": [ { "name": "Admin", "id": "5e4dad9e13a19201a460a22a" }, { "name": "Loan Officer", "id": "5e4dad9e13a19201a460a22b" }, { "name": "Unmatched Processor", "id": "5e4dad9e13a19201a460a22c" }, { "name": "Matched Processor", "id": "5e4dad9e13a19201a460a22d" }, { "name": "Access All Processor", "id": "5e4dad9e13a19201a460a22e" } ]}Get User By ID
Section titled “Get User By ID”This endpoint takes a user ID as a URL parameter and returns a user object.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/users/<user_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| user_id | The ID of the User. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/users/<user_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": { "user": { "id": "5c33c6b1681f110034effc72", "email": "fake@email.com", "phone_number": "1231231234", "cell_number": "1231231235", "firstname": "John", "lastname": "Doe", "nmls_id": "12345", "created": "2019-01-09T12:00:00.000Z", "role": "Admin", "matched_users": [ { "id": "5c33c6b1681f110034effc72", "email": "more_fake@email.com", "firstname": "Jane", "lastname": "Doe" }, "..." ] } }, "status": 200}The nmls_id field is present if applicable to the user.
Invite User
Section titled “Invite User”This endpoint invites a user to the reggora platform. Once the invitation has been sent the user is added to your lender’s list of users but only as a deactivated user. The invitee must accept the invitation in the email to become a full-fledged user.
HTTP Request
Section titled “HTTP Request”POST https://sandbox.reggora.io/lender/users/invite
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| Email of the user you are inviting | True | |
| role | Name of the role you want the invited user to have | True |
| firstname | First name of the user you are inviting | True |
| lastname | Last name of the user you are inviting | True |
| phone_number | Phone number of the user you are inviting | True |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { 'email': 'fake@reggora.com', 'firstname': 'Fake', 'lastname': 'Person', 'phone_number': '1231231234', 'role': 'Admin'}
response = requests.post('https://sandbox.reggora.io/lender/users/invite', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "Your invite has been sent", "status": 200}Create User
Section titled “Create User”This endpoint creates a user to the reggora platform. This functionality is useful if you would like to create a user without notifying the user’s owner at the time of creation.
HTTP Request
Section titled “HTTP Request”POST https://sandbox.reggora.io/lender/users
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| Email of the user you are inviting | True | |
| role | Name of the role you want the invited user to have | True |
| firstname | First name of the user you are inviting | True |
| lastname | Last name of the user you are inviting | True |
| phone_number | Phone number of the user you are inviting | True |
| branch_identifier | The unique identifer of the branch this user belongs to | False |
| nmls_id | The identifer of this user in the Nationwide Mortgage Licensing System and Registry | False |
| los_username | The unique identifer this user in their loan origination system | False |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { 'email': 'fake@reggora.com', 'firstname': 'Fake', 'lastname': 'Person', 'phone_number': '1231231234', 'role': 'Admin', 'branch_id': '5afafe407a3050000a7a57a3'}
response = requests.post('https://sandbox.reggora.io/lender/users', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "5c33c6b1681f110034effc72", "status": 200}Edit User
Section titled “Edit User”This endpoint updates a user’s information. No fields are required and only the supplied fields will be updated on the user.
HTTP Request
Section titled “HTTP Request”PUT https://sandbox.reggora.io/lender/users/<user_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| user_id | The ID of the User. |
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| Email of the user | False | |
| role | Name of the role you want the invited user to have | False |
| firstname | First name of the user | False |
| lastname | Last name of the user | False |
| branch_id | Branch ID to add user to | False |
| nmls_id | If applicable, the NLMS id of the user | False |
| matched_users | A list of user IDs that you want matched with this user | False |
| phone_number | Phone number of the user | False |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { 'email': 'fake_person@reggora.com', 'firstname': 'Fake', 'lastname': 'Person', 'phone_number': '1231231235', 'branch_id': '5afafe407a3050000a7a57a3', 'role': 'Loan Officer', 'nmls_id': '12345', 'matched_users': [ '5c33c6b1681f110034effc72', '5c33c6b1681f110034effc72', '5c33c6b1681f110034effc72' ]}
response = requests.put('https://sandbox.reggora.io/lender/users/<user_id>', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "5c33c6b1681f110034effc72", "status": 200}Delete User
Section titled “Delete User”This endpoint removes a user from a lender.
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| user_id | The ID of the User. |
HTTP Request
Section titled “HTTP Request”DELETE https://sandbox.reggora.io/lender/users/<user_id>
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.delete('https://sandbox.reggora.io/lender/users/<user_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": "Your user has been deleted", "status": 200}